<template>
  <lazy-theme-desktop-main-virtual-sport
    v-if="['desktop/main', 'desktop/global', 'desktop/playful'].includes(theme)"
  />
  <lazy-theme-mobile-modern-virtual-sport
    v-else-if="theme === 'mobile/modern'"
  />
  <lazy-theme-desktop-china-virtual-sport
    v-else-if="theme === 'desktop/china'"
  />
  <lazy-theme-desktop-black-virtual-sport
    v-else-if="theme === 'desktop/black'"
  />
  <lazy-theme-desktop-modern-virtual-sport
    v-else-if="theme === 'desktop/modern'"
  />
  <lazy-theme-mobile-black-virtual-sport v-else-if="theme === 'mobile/black'" />
  <lazy-theme-desktop-cool88-virtual-sport
    v-else-if="theme === 'desktop/cool88'"
  />
  <lazy-theme-desktop-bk8-virtual-sport v-else-if="theme === 'desktop/bk8'" />
  <lazy-theme-desktop-sbo-virtual-sport v-else-if="theme === 'desktop/sbo'" />
  <lazy-theme-mobile-sbo-virtual-sport v-else-if="theme === 'mobile/sbo'" />
  <lazy-theme-mobile-main-virtual-sport-2 v-else-if="theme === 'mobile/main'" />
  <lazy-theme-mobile-main-virtual-sport-2
    v-else-if="theme === 'mobile/playful'"
  />
  <lazy-theme-mobile-main-virtual-sport-2 v-else-if="theme === 'mobile/global'" />
  <lazy-theme-desktop-peru-virtual-sport v-else-if="theme.includes('/peru')" />
</template>

<script lang="ts" setup>
defineProps({
  theme: {
    type: String,
    default: "",
  },
});
</script>
